umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Macros
associationwidget.cpp File Reference
`#include "associationwidget.h"`
`#include "association.h"`
`#include "associationpropertiesdialog.h"`
`#include "associationwidgetpopupmenu.h"`
`#include "assocrules.h"`
`#include "attribute.h"`
`#include "classifier.h"`
`#include "classifierwidget.h"`
`#include "debug_utils.h"`
`#include "dialog_utils.h"`
`#include "docwindow.h"`
`#include "entity.h"`
`#include "floatingtextwidget.h"`
`#include "messagewidget.h"`
`#include "objectwidget.h"`
`#include "operation.h"`
`#include "optionstate.h"`
`#include "uml.h"`
`#include "umldoc.h"`
`#include "umlscene.h"`
`#include "umlview.h"`
`#include "umlwidget.h"`
`#include "widget_utils.h"`
`#include "instance.h"`
`#include "instanceattribute.h"`
`#include <KLocalizedString>`
`#include <QColorDialog>`
`#include <QFontDialog>`
`#include <QPainterPath>`
`#include <QPointer>`
`#include <QApplication>`
`#include <QXmlStreamWriter>`
`#include <cmath>`

## Macros
#define | DBG_SRC QStringLiteral("AssociationWidget")
#define | PIXEL_TOLERANCE 20

## Macro Definition Documentation

## ◆ DBG_SRC

#define DBG_SRC QStringLiteral("AssociationWidget")

## ◆ PIXEL_TOLERANCE

#define PIXEL_TOLERANCE 20